QwtPickerMachine(3)

NAME
QwtPickerMachine -

SYNOPSIS

Inherited by QwtPickerClickPointMachine, QwtPickerClickRectMachine, QwtPickerDragPointMachine, QwtPickerDragRectMachine, and QwtPickerPolygonMachine.

Detailed Description

A state machine for QwtPicker selections. QwtPickerMachine accepts key and mouse events and translates them into selection commands.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 28 of file qwt_picker_machine.h.

  Public Types
enum Command { Begin, Append, Move, End }

  Public Member Functions
virtual ~QwtPickerMachine ()
virtual QValueList< Command > transition (const QwtEventPattern &, const QEvent *)=0
void reset ()

  Protected Member Functions
QwtPickerMachine ()
int state () const
void setState (int)

Constructor & Destructor Documentation

  QwtPickerMachine::~QwtPickerMachine () [virtual]

Destructor.

Definition at line 21 of file qwt_picker_machine.cpp.

  QwtPickerMachine::QwtPickerMachine () [protected]

Constructor.

Definition at line 15 of file qwt_picker_machine.cpp.

Member Function Documentation

  void QwtPickerMachine::reset ()

Set the current state to 0.

Definition at line 38 of file qwt_picker_machine.cpp.

References setState().

Referenced by QwtPicker::widgetKeyPressEvent().

  void QwtPickerMachine::setState (int) [protected]

Change the current state.

Definition at line 32 of file qwt_picker_machine.cpp.

Referenced by reset(), QwtPickerPolygonMachine::transition(), QwtPickerDragRectMachine::transition(), QwtPickerClickRectMachine::transition(), and QwtPickerDragPointMachine::transition().

  int QwtPickerMachine::state () const [protected]

Return the current state.

Definition at line 26 of file qwt_picker_machine.cpp.

Referenced by QwtPickerPolygonMachine::transition(), QwtPickerDragRectMachine::transition(), QwtPickerClickRectMachine::transition(), and QwtPickerDragPointMachine::transition().

  virtual QValueList<Command> QwtPickerMachine::transition (const QwtEventPattern &, const QEvent *) [pure virtual]

Transition.

Implemented in QwtPickerClickPointMachine, QwtPickerDragPointMachine, QwtPickerClickRectMachine, QwtPickerDragRectMachine, and QwtPickerPolygonMachine.

Referenced by QwtPicker::transition().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.